body {
    background-color: #fff;

    margin: 0;
    font-family: barlow;
    /* background-image: url('img/Background.png');  */
    background-color: black;
    background-repeat: repeat;
    background-size: auto;
    background-position: center; 
    background-attachment: fixed; /*Fixes the background while scrolling */
    color: white;

    
}
#MainImage{
  width: 100%; /* Stretches the image across the full width of the page */
  height: auto; 
}

h1 {
  font-family: playfair;
}



  /* Header */
#Header {
  position: sticky;
  top: 0; /* Sticks to the top of the screen */
  z-index: 1000; /* Keeps it above other elements */
}

#Header ul {
  list-style-type: none;
  background-color: black;
  display: flex;
  align-items: center; /* Aligns items vertically */
  margin: 0;
  padding: 10px 0;
  height: 50px; /* Increased height for better visual balance */
}

#Header li a{
  text-decoration: none;
  color: #F6F0ED;
  padding: 16px 30px;
  font-size: 20px;
  /* transition: color 0.4s, font-size 1s; */

}

#Header li a:hover{
  background-color: #7EA8BE;
  color:#F6F0ED; 
  
}

#Header li a:active{
  background-color: #C2948A;
  color:black; 
}

#Header .logo {
  margin-right: auto;
  padding-left: 20px; 
  font-size: 35px;
}

#Top{
  font-size: 40px;
  font-family: playfair;
  background-color: #7EA8BE;
  padding: 20px;
  margin-top: 0px;
}




/* Cards */
.card-container {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  width: 100%;
}

.card {
  background-color: #444;
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  padding: 20px;
  flex: 1 1 100%; /* Default to full width */
  max-width: 100%;
}

.card strong{
  color: #79b0ce; /* Used different contrast color, thought it looked nice. Feel free to change back to blue or pink */

}

.card.full-width {
  flex: 1 1 90%; /* Takes the full width of the container */
}

.card.half-width {
  flex: 1 1 calc(50% - 20px); /* Takes half the width of the container */
}

.card h2, .card h3 {
  color: #69a0be; /* Used different contrast color, thought it looked nice. Feel free to change back to blue or pink */
  margin-top: 0;
}

.card p {
  margin: 10px 0;
}

.card a {
  color: #aacee1;
  text-decoration: none;
}

.card a:hover {
  text-decoration: underline;
}



/* Footer */
footer {
  padding: 15px 50px;
  background-color: #7EA8BE;
  color: black;
  display: flex;
  justify-content: space-evenly;
}

footer > div {
  width: 150px;
  height: 500px
}

@media(max-width: 500px){
  
  footer{
    flex-direction:column;
  }
  #Header li a{
    text-decoration: none;
    color: #F6F0ED;
    padding: 16px 10px;
    font-size: 10px;
    /* transition: color 0.4s, font-size 1s; */
  
  }

  #Header .logo {
    font-size: 15px;
  }

  #Header {
    max-width: 500px;
  }

  h2 {
    text-align: center;
  }

  img {
    max-width: 100%;
  }


}